{
  "compilerOptions": {
    "target": "es5",
    "module": "commonjs",
    "moduleResolution": "node",
    "declaration": false,
    "sourceMap": false,
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "removeComments": false,
    "skipLibCheck": true,
    "noImplicitAny": false,
    "typeRoots": [
       "node_modules/@types"
   ],
    "lib": [
      "es2016",
      "dom",
      "es2017.object",
      "es2018.promise"
    ]
  },
  "compileOnSave": false,
  "buildOnSave": false,
  "include": [
    "src/ts/**/*"
  ],
  "exclude": [
    "node_modules",
    "./node_modules/@types",
    "src/ts/main.ts",
    "**/*.spec.ts",
    "src/test.ts"
  ],
  "angularCompilerOptions": {
    "skipMetadataEmit": true,
    "alwaysCompileGeneratedCode":true,
    "preserveWhitespaces": false,
    "annotationsAs": "decorators",
    "mainPath": "./src/ts"
  }
}